#include <stdio.h>
double max(long int n,double a[]){
  double max=a[0];
  long int i;
  for(i=0;i<n;i++)
    if(a[i]>max)
      max=a[i]; 
  return max;    
}
int main(void) {
  long int n,a,s,i,j;
  double  p,k;
  scanf("%ld",&n); 
  long int x[n];
  double y[n],z[n];
  for(long int i=0;i<n;i++)
    {
     scanf("%ld%lf",&a,&p);
     x[i]=a;
     y[i]=p;
    }
  for(i=0;i<n;i++)
{   
    s=0;
    k=y[i]/100;
    for(j=0;j<n;j++)
     if(y[j]/100>=k)
       s=s+x[j];
    z[i]=s*k;
}
double m=max(n,z);
printf("%lf",m);
  return 0;
}